cURL
curl --request PATCH \ --url https://sandbox.trybraid.xyz/webhooks/registrations/{registrationId}/status \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "status": "active", "disabledReason": "Rotating credentials" } '
{ "id": "1e9b4d42-0e0d-4a0e-9c55-3d6a1df3b9c1", "url": "https://api.partner.com/webhooks/braid", "status": "disabled", "eventTypes": [ "portfolio_wallet.balance.updated" ], "description": "Alerts our ledger service when balances change", "createdAt": "2026-02-08T18:04:10.123Z", "disabledAt": "2026-02-08T18:10:00.000Z", "disabledReason": "Rotating credentials" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
active
disabled
"Rotating credentials"
Updated webhook registration